Support » Plugin: Yoast SEO » JavaScript error with WP 5.5

  • Resolved Jory Hogeveen

    (@keraweb)


    Hello,

    After updating WP to 5.5 I get a javascript error coming from Yoast SEO.
    load-scripts.php?c=0&load[chunk_0]=hoverIntent,common,hoverintent-js,admin-bar,underscore,wp-util,wp-sanitize,updates,jquery-ui-core,thickbox,plugin-install,svg-pa&load[chunk_1]=inter,heartbeat,wp-auth-check,react,react-dom&ver=5.5:4 Uncaught ReferenceError: wp is not defined

    Cheers, Jory

Viewing 7 replies - 1 through 7 (of 7 total)
  • Same. I only figured out it was this plugin after finding this post, and sure enough deactivating Yoast SEO fixes the error. Strangely, I’m not getting this error on my staging site, only on the live site.

    load-scripts.php?c=0&load%5Bchunk_0%5D=hoverIntent,common,hoverintent-js,admin-bar,jquery-ui-position,wp-pointer,underscore,wp-util,wp-sanitize,updates,thickbox,plugin&load%5Bchunk_1%5D=-install,svg-painter,heartbeat,wp-auth-check&ver=5.5

    I’m either getting the above wp is not defined error or can't access property "__", wp.i18n is undefined, I assume due to asynchronous JS.

    Plugin Support Pcosta88

    (@pcosta88)

    Hi @keraweb

    We apologize for the difficulties the plugin is causing for you. We are happy to help. We would like some more information as this can help us troubleshoot and rule out or in possible issues.

    1. We had another recent release. Can you confirm you are using the most recent Yoast SEO, v14.7? If you update, does the issue resolve?

    2. Are all your non-Yoast plugins and themes also updated?

    3. If you briefly deactivate Yoast SEO does the issue still happen? Doing so will not hurt the SEO of the site.

    If all are updated, it seems like it is a conflict. If the issue only happens when Yoast is enabled, please Check for conflicts. Install the Healthcheck plugin and enable troubleshooting. Then switch to a standard theme like 2020. Does the issue resolve? NOTE: This will not affect how users see your site.

    @cr0ybot

    If you are still experiencing the issue per the forum guidelines, we ask that you please create separate topics for the issues you are experiencing.

    That way it’s easier to track issues and provide assistance on your specific concerns on your specific site. Plus, you will get your own alerts for the issue rather than someone else’s. You may make a new topic here: https://wordpress.org/support/plugin/wordpress-seo/#new-post.

    Thanks!

    Same here (only when enabling Yoast):

    load-scripts.php?c=1&load[chunk_0]=hoverIntent,common,hoverintent-js,admin-bar,jquery-ui-core,jquery-ui-widget,jquery-ui-position,jquery-ui-menu,jquery-ui-autocomp&load[chunk_1]=lete,tags-suggest,inline-edit-post,heartbeat,svg-painter,wp-auth-check,jquery-ui-mouse,jquery-ui-sortable&ver=5.5:4 Uncaught ReferenceError: wp is not defined
        at load-scripts.php?c=1&load[chunk_0]=hoverIntent,common,hoverintent-js,admin-bar,jquery-ui-core,jquery-ui-widget,jquery-ui-position,jquery-ui-menu,jquery-ui-autocomp&load[chunk_1]=lete,tags-suggest,inline-edit-post,heartbeat,svg-painter,wp-auth-check,jquery-ui-mouse,jquery-ui-sortable&ver=5.5:4
        at load-scripts.php?c=1&load[chunk_0]=hoverIntent,common,hoverintent-js,admin-bar,jquery-ui-core,jquery-ui-widget,jquery-ui-position,jquery-ui-menu,jquery-ui-autocomp&load[chunk_1]=lete,tags-suggest,inline-edit-post,heartbeat,svg-painter,wp-auth-check,jquery-ui-mouse,jquery-ui-sortable&ver=5.5:4

    Concurring Cory there with either getting the above wp is not defined error or can’t access property “__”, wp.i18n is undefined, I assume due to asynchronous JS.

    Not sure what’s the conflict though, trying to get to the bottom of it.

    Plugin Support devnihil

    (@devnihil)

    @ddyok Please create a new issue if you are experiencing a similar problem as this helps us in tracking as this can be caused by many different variables (WordPress version, other plugins, etc).

    Thread Starter Jory Hogeveen

    (@keraweb)

    @pcosta88

    After testing various combinations it appears this is an issue between the Gutenberg plugin and Yoast SEO. Both latest versions.

    Cheers, Jory

    Plugin Support Jeroen Rotty

    (@jeroenrotty)

    Hi @keraweb,

    Thank you for your troubleshooting and your reply!

    We are able to reproduce issues when both the Gutenberg plugin and Yoast SEO are active at the same time. Our developement team has made a core issue since WordPress Core is the culprit. You can see the ticket here: https://core.trac.wordpress.org/ticket/50999. A fix might be included in WordPress 5.5.1.

    Meanwhile, a workaround would be to disable the Gutenberg plugin for now.

    Thread Starter Jory Hogeveen

    (@keraweb)

    Hi @jeroenrotty

    Thanks for your prompt reply. The Gutenberg plugin is a requirement for this site so I can’t disable it.
    I’ll keep an eye on that patch and apply it manually for now.

    Marking this topic as resolved!

    Cheers, Jory

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘JavaScript error with WP 5.5’ is closed to new replies.